Unbind
Servers

List Servers

List the cluster's servers with their allocatable capacity, what is already requested on each, and pressure conditions.

GET
/servers/list

List the cluster's servers with their allocatable capacity, what is already requested on each, and pressure conditions.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/servers/list"
{  "data": [    {      "architecture": "string",      "conditions": [        {          "status": "healthy",          "type": "memory"        }      ],      "cpu_allocatable_millicores": 0,      "cpu_requested_millicores": 0,      "created_at": "2019-08-24T14:15:22Z",      "external_ip": "string",      "internal_ip": "string",      "kubernetes_version": "string",      "memory_allocatable_megabytes": 0,      "memory_requested_megabytes": 0,      "name": "string",      "os": "string",      "pod_capacity": 0,      "pod_count": 0,      "ready": true,      "roles": [        "string"      ],      "unschedulable": true    }  ]}